Skip to main content
GET
/
user
/
account
Retrieve account
curl --request GET \
  --url https://api.managem.co.uk/user/account \
  --header 'Authorization: Bearer <token>'
{
  "emailAddress": "<string>",
  "suspended": true,
  "local": true,
  "connectedIdentities": [
    {
      "id": "<string>",
      "issuer": "<string>",
      "createdAt": "<string>"
    }
  ],
  "username": "<string>",
  "name": "<string>",
  "familyName": "<string>",
  "profile": "<string>",
  "phoneNumber": "<string>",
  "avatar": "<string>",
  "cover": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

200 - application/json

Account details

Represents a user account in the system, including personal details and connected identities.

emailAddress
string
required

Primary email address

suspended
boolean
required

Whether the user is suspended

local
boolean
required

Whether the user has a local password

connectedIdentities
Connected Social Identity · object[]
required

A list of social identities connected to a user

username
string

Current username of the user

name
string

User's given name

familyName
string

User's family name

profile
string

User's personal bio or profile description

phoneNumber
string

Primary phone number

avatar
string<uri> | null

URL to avatar

cover
string<uri> | null

URL to cover